GET https://api.cryptohopper.com/v1/hopper/{id}/arbitrage/backlog/{backlog_id}

Returns one backlog position of an arbitrage bot.

OAuth scope: read About scopes

Example request

curl "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/arbitrage/backlog/BACKLOG_ID" \
  -H "access-token: YOUR_ACCESS_TOKEN"

Parameters

Headers

NameTypeRequiredDescription
access-token string Required The OAuth access token of the user.

Path parameters

NameTypeRequiredDescription
backlog_id string Required Backlog position ID.
id string Required Hopper ID of an arbitrage bot.

Response

Example response (illustrative values)

{
    "data": {
        "id": "1370001",
        "exchange_arbitrage_id": "2397001",
        "base_currency": "USDT",
        "currency": "ETH",
        "exchange": "binance",
        "pair": "ETHUSDT",
        "amount": "0.05",
        "rate": "2500.12",
        "val": "125.006",
        "buy_order_id": "0",
        "buy_trade_id": "0",
        "sell_order_id": "0",
        "sell_trade_id": "0",
        "retry_order": null,
        "current_order_id": "0",
        "date": "2026-09-25 10:00:00"
    }
}

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.